import { useQuery as defaultUseQuery } from '@teambit/ui-foundation.ui.react-router.use-query';
import { useLocation as defaultUseLocation } from '@teambit/base-react.navigation.link';
export function useUpdatedUrlFromQuery(queryParams, useQuery = defaultUseQuery, useLocation = defaultUseLocation) {
    const query = useQuery();
    const location = useLocation() || { pathname: '/' };
    const queryObj = Object.fromEntries(query.entries());
    const updatedObj = { ...queryObj, ...queryParams };
    const queryString = new URLSearchParams(updatedObj).toString();
    return `${location.pathname}?${queryString}`;
}
export function useCompareQueryParam(key) {
    const query = defaultUseQuery();
    const queryParam = query.get(key);
    return queryParam ?? undefined;
}
//# sourceMappingURL=use-component-compare-url.js.map